# Register Portfolio Address

Use this endpoint to register a portfolio address for continuous balance tracking.

Xverse API will automatically keep its daily balance and activity updated.

{% hint style="info" %}
Once a portfolio address is registered, use [Get Portfolio Address History](/api/portfolio/get-portfolio-address-history.md)to query its balances
{% endhint %}

## POST /v1/portfolio/register

> Register an address to the portfolio for balance tracking.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/portfolio/register":{"post":{"tags":["Portfolio"],"description":"Register an address to the portfolio for balance tracking.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"assetType":{"type":"string"},"addresses":{"type":"array","items":{"type":"string"}}},"required":["assetType","addresses"]}}},"required":true},"responses":{"200":{"description":"Default Response"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/portfolio/register-portfolio-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
